APISettings
Update AI agent settings
Update the agent's drafts, routines, and deployment surfaces. Enabling a surface makes the agent answer customers there. Instructions, prompts, and the auto-reply switch are read-only here. Requires the admin scope.
PATCH
/settings/ai-agentcurl -X PATCH "https://productlane.com/api/v2/settings/ai-agent" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"enabled": true,
"welcome_message": "string",
"example_questions": [
"string"
],
"create_linear_issues": true,
"generate_weekly_summary": true,
"drafts_enabled": true,
"drafts_trigger": "EVERY_INBOUND_MESSAGE",
"drafts_close_the_loop_enabled": true,
"routines_enabled": true,
"deploy_slack": true,
"deploy_teams": true,
"deploy_api": true,
"deploy_support_portal": true,
"deploy_feature_requests": true
}'Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Body
application/json
enabledbooleanwelcome_messagestringexample_questionsstring[]create_linear_issuesbooleangenerate_weekly_summarybooleandrafts_enabledbooleandrafts_triggerenum<string>One of:EVERY_INBOUND_MESSAGENEW_THREADS_ONLYdrafts_close_the_loop_enabledbooleanroutines_enabledbooleandeploy_slackbooleandeploy_teamsbooleandeploy_apibooleandeploy_support_portalbooleandeploy_feature_requestsboolean
Response
application/json
Successful response
enabledbooleanrequiredwelcome_messagestringrequiredexample_questionsstring[]requiredcustom_instructionsstring | nullrequiredcreate_linear_issuesbooleanrequiredgenerate_weekly_summarybooleanrequiredauto_replies_enabledbooleanrequireddrafts_enabledbooleanrequireddrafts_triggerstringrequiredOne of EVERY_INBOUND_MESSAGE, FIRST_MESSAGE_ONLY, MANUAL.
drafts_close_the_loop_enabledbooleanrequireddrafts_custom_promptstring | nullrequiredroutines_enabledbooleanrequiredroutines_promptstring | nullrequireddeployed_onobjectrequiredupdated_atstringrequired
{
"enabled": true,
"welcome_message": "string",
"example_questions": [
"string"
],
"custom_instructions": "string",
"create_linear_issues": true,
"generate_weekly_summary": true,
"auto_replies_enabled": true,
"drafts_enabled": true,
"drafts_trigger": "string",
"drafts_close_the_loop_enabled": true,
"drafts_custom_prompt": "string",
"routines_enabled": true,
"routines_prompt": "string",
"deployed_on": {
"slack": true,
"teams": true,
"api": true,
"support_portal": true,
"feature_requests": true
},
"updated_at": "string"
}